# Class DocumentGrid

#### Hierarchy

- XmlComponent
  - DocumentGrid

- Defined in src/file/document/body/section-properties/properties/doc-grid.ts:40

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new DocumentGrid(linePitch, charSpace?, type?): DocumentGrid

- #### Parameters

  - ##### linePitch: number

  - ##### `Optional` charSpace: number

  - ##### `Optional` type: DocumentGridType

  #### Returns DocumentGrid

  Overrides XmlComponent.constructor

  - Defined in src/file/document/body/section-properties/properties/doc-grid.ts:41

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:20

Generated using TypeDoc